function [c, spectra, vx, ax, all] = RPLP(vzorky, vzorkovacia_frek,  modelorder)

nbands = 24;

vzorky = filter([1 -0.97], 1, vzorky);       %preemfaza

vykon_spektrum = powspec_RPLP(vzorky, vzorkovacia_frek);      %segmetacia, oknovanie, DFT

% next group to critical bands
filt_vzorky = audspec_RPLP(vykon_spektrum, vzorkovacia_frek);    %melova filtracia


  % LPC analysis 
  lpcas = dolpc_RPLP(filt_vzorky, modelorder);          %LP analyza

  % convert lpc to cepstra
  cepstra = lpc2cep_RPLP(lpcas, modelorder+1);           %LP na kepstralne koef

  % .. or to spectra 
  [spectra,F,M] = lpc2spec_RPLP(lpcas, nbands);           %LP na spektrum


c = lifter_RPLP(cepstra, 0.6);           %liftovanie

vx = deltas(c);                %diferencne
ax = deltas(deltas(c,5),5);    %akceleracne
all = [c;vx;ax];               %vsetkych 39